
package w83a.xml;

/** Representa una colección de elementos de un documento xml. */

public final class W83AXmlElements implements java.io.Serializable{

	private static final long serialVersionUID = 1L;
   private W83AXmlElement[] m_elems;

   /**
    * Construye un objeto de la clase.
    * 
    * @param elems
    *           Array de elementos.
    */

   W83AXmlElements(W83AXmlElement[] elems) {
      m_elems = elems;
   }

   /**
    * Devuelve el número de elementos de la colección.
    * 
    * @return El número mencionado.
    */

   public int getCount() {
      return m_elems.length;
   }

   /**
    * Devuelve el elemento especificado.
    * 
    * @param index
    *           Indice del elemento (1, 2, ...).
    * @return El elemento mencionado.
    */

   public W83AXmlElement getItem(int index) {
      return m_elems[index - 1];
   }

} // class XmlElements
